For the complete documentation index, see llms.txt. This page is also available as Markdown.

Inbound (Inventory)

Endpoints to create, update, and read inbound processes and receipts.

List inbound processes

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
sizenumber · min: 1 · max: 100OptionalDefault: 25Example: 25
startAfterIdstringOptional
sortstring · enumOptionalPossible values:
facilityRefstring[]OptionalExample: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
scannableCodestringOptional
searchTermstringOptional

Matches partial values; The queries terms and therefore the result set of the query can change in the future:

  • tenantInboundProcessId
  • scannableCodes
  • receipts.receivedItems.tenantArticleId
  • purchaseOrder.requestedItems.tenantArticleId
  • purchaseOrder.supplier.name
  • values of related listings
    • listing.title
    • listing.scannableCodes
searchTermExactstringOptional

Only matches complete values; The queries terms and therefore the result set of the query can change in the future:

  • tenantInboundProcessId
  • scannableCodes
  • receipts.receivedItems.tenantArticleId
  • purchaseOrder.requestedItems.tenantArticleId
  • purchaseOrder.supplier.name
  • values of related listings
    • listing.title
    • listing.scannableCodes
purchaseOrder_cancelledbooleanOptional
Responses
200

Paginated result containing the matching Inbound Process entities

application/json

InboundProcessPaginatedResult

totalnumberOptional

The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.

get/api/inboundprocesses
GET /api/inboundprocesses HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "inboundProcesses": [
    {
      "anonymized": true,
      "created": "2026-01-01T00:00:00.000Z",
      "customAttributes": {},
      "facilityRef": "text",
      "id": "text",
      "inboundDate": "2026-06-17T12:00:00.000Z",
      "lastModified": "2026-01-01T00:00:00.000Z",
      "onHold": true,
      "origin": [
        {
          "name": "text"
        }
      ],
      "purchaseOrder": {
        "created": "2026-01-01T00:00:00.000Z",
        "customAttributes": {},
        "id": "text",
        "lastModified": "2026-01-01T00:00:00.000Z",
        "orderDate": "2026-06-17T12:00:00.000Z",
        "requestedDate": "2026-06-17T12:00:00.000Z",
        "requestedItems": [
          {
            "customAttributes": {},
            "quantity": {
              "unit": "text",
              "value": 42
            },
            "stockProperties": {
              "expiry": "text"
            },
            "tenantArticleId": "text"
          }
        ],
        "status": "OPEN",
        "supplier": {
          "name": "text"
        },
        "transfer": {
          "id": "text"
        }
      },
      "receipts": [
        {
          "asnRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
          "comments": [
            {
              "content": "text",
              "documentSetRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
              "id": "text",
              "userRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
            }
          ],
          "customAttributes": {},
          "id": "text",
          "receivedDate": "2026-06-17T12:00:00.000Z",
          "receivedItems": [
            {
              "acceptedQuantity": {
                "unit": "text",
                "value": 42
              },
              "comments": [
                {
                  "content": "text",
                  "documentSetRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
                  "id": "text",
                  "userRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
                }
              ],
              "customAttributes": {},
              "id": "text",
              "rejectedQuantity": {
                "unit": "text",
                "value": 42
              },
              "stockProperties": {
                "expiry": "text"
              },
              "storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
              "tenantArticleId": "MY_ARTICLE_ID"
            }
          ],
          "status": "OPEN"
        }
      ],
      "scannableCodes": [
        "text"
      ],
      "status": "OPEN",
      "tenantInboundProcessId": "text",
      "version": 1
    }
  ],
  "pageInfo": {
    "endCursor": "text",
    "hasNextPage": true,
    "hasPreviousPage": true,
    "startCursor": "text"
  },
  "total": 1
}

Create inbound process

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

InboundProcessForCreation

customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

facilityRefstringRequired

Facility in which the inbound process takes place

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
onHoldbooleanOptional

Indicates if the inbound process is on hold and will not be processed further

scannableCodesstring[]Optional

scannableCodes such as barcodes that are relevant in the inboundProcess, e.g. , barcode of the delivery note

tenantInboundProcessIdstringOptional

Identifier of the process provided by the tenant system. It is recommended to be unique

Example: MY_INBOUNDPROCESS_ID
Responses
200

Created Inbound Process entity

application/json

InboundProcess

anonymizedbooleanRequired

Indicates the inbound process was anonymized acording to configured GDPR retention time.

createdstring · date-timeRequired
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

facilityRefstringRequired
idstringRequired
inboundDatestring · date-time[]Required

Aggregated dates from sources which advise incoming stock. Currently that is "purchaseOrder"

Example: 2026-06-17T12:00:00.000Z
lastModifiedstring · date-timeRequired
onHoldbooleanRequired

Indicates if the inbound process is on hold and will not be processed further

scannableCodesstring[]Required

scannableCodes such as barcodes that are relevant in the inboundProcess, e.g. , barcode of the delivery note

statusstring · enumRequiredPossible values:
tenantInboundProcessIdstringOptional
versionnumberRequired
post/api/inboundprocesses
POST /api/inboundprocesses HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1040

{
  "customAttributes": {},
  "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "onHold": true,
  "purchaseOrder": {
    "customAttributes": {},
    "orderDate": "2026-06-17T12:00:00.000Z",
    "requestedDate": "2026-06-17T12:00:00.000Z",
    "requestedItems": [
      {
        "customAttributes": {},
        "quantity": {
          "unit": "text",
          "value": 42
        },
        "stockProperties": {
          "expiry": "text"
        },
        "tenantArticleId": "text"
      }
    ],
    "status": "OPEN",
    "supplier": {
      "name": "text"
    }
  },
  "receipts": [
    {
      "asnRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "comments": [
        {
          "content": "text",
          "userRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
        }
      ],
      "customAttributes": {},
      "receivedDate": "2026-06-17T12:00:00.000Z",
      "receivedItems": [
        {
          "acceptedQuantity": {
            "unit": "text",
            "value": 42
          },
          "comments": [
            {
              "content": "text",
              "userRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
            }
          ],
          "customAttributes": {},
          "rejectedQuantity": {
            "unit": "text",
            "value": 42
          },
          "stockProperties": {
            "expiry": "text"
          },
          "storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
          "tenantArticleId": "MY_ARTICLE_ID"
        }
      ],
      "status": "OPEN"
    }
  ],
  "scannableCodes": [
    "text"
  ],
  "tenantInboundProcessId": "MY_INBOUNDPROCESS_ID"
}
{
  "anonymized": true,
  "created": "2026-01-01T00:00:00.000Z",
  "customAttributes": {},
  "facilityRef": "text",
  "id": "text",
  "inboundDate": "2026-06-17T12:00:00.000Z",
  "lastModified": "2026-01-01T00:00:00.000Z",
  "onHold": true,
  "origin": [
    {
      "name": "text"
    }
  ],
  "purchaseOrder": {
    "created": "2026-01-01T00:00:00.000Z",
    "customAttributes": {},
    "id": "text",
    "lastModified": "2026-01-01T00:00:00.000Z",
    "orderDate": "2026-06-17T12:00:00.000Z",
    "requestedDate": "2026-06-17T12:00:00.000Z",
    "requestedItems": [
      {
        "customAttributes": {},
        "quantity": {
          "unit": "text",
          "value": 42
        },
        "stockProperties": {
          "expiry": "text"
        },
        "tenantArticleId": "text"
      }
    ],
    "status": "OPEN",
    "supplier": {
      "name": "text"
    },
    "transfer": {
      "id": "text"
    }
  },
  "receipts": [
    {
      "asnRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "comments": [
        {
          "content": "text",
          "documentSetRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
          "id": "text",
          "userRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
        }
      ],
      "customAttributes": {},
      "id": "text",
      "receivedDate": "2026-06-17T12:00:00.000Z",
      "receivedItems": [
        {
          "acceptedQuantity": {
            "unit": "text",
            "value": 42
          },
          "comments": [
            {
              "content": "text",
              "documentSetRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
              "id": "text",
              "userRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
            }
          ],
          "customAttributes": {},
          "id": "text",
          "rejectedQuantity": {
            "unit": "text",
            "value": 42
          },
          "stockProperties": {
            "expiry": "text"
          },
          "storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
          "tenantArticleId": "MY_ARTICLE_ID"
        }
      ],
      "status": "OPEN"
    }
  ],
  "scannableCodes": [
    "text"
  ],
  "status": "OPEN",
  "tenantInboundProcessId": "text",
  "version": 1
}

Get inbound process

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
inboundProcessIdstringRequired
Responses
200

Requested Inbound Process entity

application/json

InboundProcess

anonymizedbooleanRequired

Indicates the inbound process was anonymized acording to configured GDPR retention time.

createdstring · date-timeRequired
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

facilityRefstringRequired
idstringRequired
inboundDatestring · date-time[]Required

Aggregated dates from sources which advise incoming stock. Currently that is "purchaseOrder"

Example: 2026-06-17T12:00:00.000Z
lastModifiedstring · date-timeRequired
onHoldbooleanRequired

Indicates if the inbound process is on hold and will not be processed further

scannableCodesstring[]Required

scannableCodes such as barcodes that are relevant in the inboundProcess, e.g. , barcode of the delivery note

statusstring · enumRequiredPossible values:
tenantInboundProcessIdstringOptional
versionnumberRequired
get/api/inboundprocesses/{inboundProcessId}
GET /api/inboundprocesses/{inboundProcessId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "anonymized": true,
  "created": "2026-01-01T00:00:00.000Z",
  "customAttributes": {},
  "facilityRef": "text",
  "id": "text",
  "inboundDate": "2026-06-17T12:00:00.000Z",
  "lastModified": "2026-01-01T00:00:00.000Z",
  "onHold": true,
  "origin": [
    {
      "name": "text"
    }
  ],
  "purchaseOrder": {
    "created": "2026-01-01T00:00:00.000Z",
    "customAttributes": {},
    "id": "text",
    "lastModified": "2026-01-01T00:00:00.000Z",
    "orderDate": "2026-06-17T12:00:00.000Z",
    "requestedDate": "2026-06-17T12:00:00.000Z",
    "requestedItems": [
      {
        "customAttributes": {},
        "quantity": {
          "unit": "text",
          "value": 42
        },
        "stockProperties": {
          "expiry": "text"
        },
        "tenantArticleId": "text"
      }
    ],
    "status": "OPEN",
    "supplier": {
      "name": "text"
    },
    "transfer": {
      "id": "text"
    }
  },
  "receipts": [
    {
      "asnRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "comments": [
        {
          "content": "text",
          "documentSetRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
          "id": "text",
          "userRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
        }
      ],
      "customAttributes": {},
      "id": "text",
      "receivedDate": "2026-06-17T12:00:00.000Z",
      "receivedItems": [
        {
          "acceptedQuantity": {
            "unit": "text",
            "value": 42
          },
          "comments": [
            {
              "content": "text",
              "documentSetRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
              "id": "text",
              "userRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
            }
          ],
          "customAttributes": {},
          "id": "text",
          "rejectedQuantity": {
            "unit": "text",
            "value": 42
          },
          "stockProperties": {
            "expiry": "text"
          },
          "storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
          "tenantArticleId": "MY_ARTICLE_ID"
        }
      ],
      "status": "OPEN"
    }
  ],
  "scannableCodes": [
    "text"
  ],
  "status": "OPEN",
  "tenantInboundProcessId": "text",
  "version": 1
}

Delete inbound process

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
inboundProcessIdstringRequired
Responses
200

Inbound Process successfully deleted

No content

delete/api/inboundprocesses/{inboundProcessId}
DELETE /api/inboundprocesses/{inboundProcessId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Update inbound process

patch

This part of the API is in Beta status. For details, see the API release lifecycle documentation.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
inboundProcessIdstringRequired
Body

InboundProcessForPatch

customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

onHoldbooleanOptional

Indicates if the inbound process is on hold and will not be processed further

scannableCodesstring[]Optional

scannableCodes such as barcodes that are relevant in the inboundProcess, e.g. , barcode of the delivery note

versionnumberRequired
Responses
200

Inbound Process successfully patched

No content

patch/api/inboundprocesses/{inboundProcessId}
PATCH /api/inboundprocesses/{inboundProcessId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 75

{
  "customAttributes": {},
  "onHold": true,
  "scannableCodes": [
    "text"
  ],
  "version": 1
}

No content

Update purchase order

put

Creates or updates the specific purchase order of an existing inbound process.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
inboundProcessIdstringRequired
Body

InboundProcessPurchaseOrderForUpsert

cancelledbooleanOptionalDeprecated

This field is deprecated. Set the status to 'CANCELED' Set the purchaseOrder to 'cancelled'. No further deliveries will be expected. Already received goods are unaffected.

customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

orderDatestring · date-timeRequired

Time and date at which the order was placed. Note: This does not refer to the creation date of this entity in the system.

Example: 2026-06-17T12:00:00.000Z
statusstring · enumOptionalPossible values:
versionnumberRequired
Responses
200

Purchase order successfully updated on inbound process

application/json

InboundProcessPurchaseOrder

cancelledbooleanRequiredDeprecated

This field is deprecated. Set the status to 'CANCELED' Set the purchaseOrder to 'cancelled'. No further deliveries will be expected. Already received goods are unaffected.

createdstring · date-timeRequired
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

idstringRequired
lastModifiedstring · date-timeRequired
orderDatestring · date-timeRequired

Time and date at which the order was placed. Note: This does not refer to the creation date of this entity in the system.

Example: 2026-06-17T12:00:00.000Z
statusstring · enumRequiredPossible values:
put/api/inboundprocesses/{inboundProcessId}/purchaseorder
PUT /api/inboundprocesses/{inboundProcessId}/purchaseorder HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 302

{
  "customAttributes": {},
  "orderDate": "2026-06-17T12:00:00.000Z",
  "requestedDate": "2026-06-17T12:00:00.000Z",
  "requestedItems": [
    {
      "customAttributes": {},
      "quantity": {
        "unit": "text",
        "value": 42
      },
      "stockProperties": {
        "expiry": "text"
      },
      "tenantArticleId": "text"
    }
  ],
  "status": "OPEN",
  "supplier": {
    "name": "text"
  },
  "version": 1
}
{
  "created": "2026-01-01T00:00:00.000Z",
  "customAttributes": {},
  "id": "text",
  "lastModified": "2026-01-01T00:00:00.000Z",
  "orderDate": "2026-06-17T12:00:00.000Z",
  "requestedDate": "2026-06-17T12:00:00.000Z",
  "requestedItems": [
    {
      "customAttributes": {},
      "quantity": {
        "unit": "text",
        "value": 42
      },
      "stockProperties": {
        "expiry": "text"
      },
      "tenantArticleId": "text"
    }
  ],
  "status": "OPEN",
  "supplier": {
    "name": "text"
  },
  "transfer": {
    "id": "text"
  }
}

Create inbound process receipt

post

Adds a receipt to an inbound process.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
inboundProcessIdstringRequired
Body

InboundReceiptForCreation

asnRefstringOptional

enables mapping a receipt to one of the ASNs in this inbound process

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

receivedDatestring · date-timeRequired

date-time of the arrival of the items in the facility

Example: 2026-06-17T12:00:00.000Z
statusstring · enumOptional

status of this receipt, only receipts with status 'FINISHED' are booked. IN_PROGRESS can be used to save partial receipts.

Possible values:
Responses
201

Receipt was added to the inbound process

application/json

InboundReceipt

asnRefstringOptional

enables mapping a receipt to one of the ASNs in this inbound process

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

idstringRequired
receivedDatestring · date-timeRequired

date-time of the arrival of the items in the facility

Example: 2026-06-17T12:00:00.000Z
statusstring · enumOptional

status of this receipt, only receipts with status 'FINISHED' are booked. IN_PROGRESS can be used to save partial receipts.

Possible values:
post/api/inboundprocesses/{inboundProcessId}/receipts
POST /api/inboundprocesses/{inboundProcessId}/receipts HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 555

{
  "asnRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "comments": [
    {
      "content": "text",
      "userRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
    }
  ],
  "customAttributes": {},
  "receivedDate": "2026-06-17T12:00:00.000Z",
  "receivedItems": [
    {
      "acceptedQuantity": {
        "unit": "text",
        "value": 42
      },
      "comments": [
        {
          "content": "text",
          "userRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
        }
      ],
      "customAttributes": {},
      "rejectedQuantity": {
        "unit": "text",
        "value": 42
      },
      "stockProperties": {
        "expiry": "text"
      },
      "storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "tenantArticleId": "MY_ARTICLE_ID"
    }
  ],
  "status": "OPEN"
}
{
  "asnRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "comments": [
    {
      "content": "text",
      "documentSetRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "id": "text",
      "userRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
    }
  ],
  "customAttributes": {},
  "id": "text",
  "receivedDate": "2026-06-17T12:00:00.000Z",
  "receivedItems": [
    {
      "acceptedQuantity": {
        "unit": "text",
        "value": 42
      },
      "comments": [
        {
          "content": "text",
          "documentSetRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
          "id": "text",
          "userRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
        }
      ],
      "customAttributes": {},
      "id": "text",
      "rejectedQuantity": {
        "unit": "text",
        "value": 42
      },
      "stockProperties": {
        "expiry": "text"
      },
      "storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "tenantArticleId": "MY_ARTICLE_ID"
    }
  ],
  "status": "OPEN"
}

Create attachment

post

This part of the API is in Alpha status. For details, see the API release lifecycle documentation.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

InboundAttachmentForCreation

contentstringRequired

Base64 encoded attachment file

fileNamestringRequired

File name of attachment

Responses
201

Created attachment

application/json

InboundAttachment

createdstring · date-timeOptional
idstringRequired
lastModifiedstring · date-timeOptional
versionnumberRequired
post/api/inboundprocesses/attachments
POST /api/inboundprocesses/attachments HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 36

{
  "content": "text",
  "fileName": "text"
}
{
  "created": "2026-01-01T00:00:00.000Z",
  "id": "text",
  "lastModified": "2026-01-01T00:00:00.000Z",
  "version": 1
}

Get signed attachment url

get

This part of the API is in Alpha status. For details, see the API release lifecycle documentation.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
attachmentIdstringRequired
Responses
200

Signed url

application/json
stringOptional
get/api/inboundprocesses/attachments/{attachmentId}/signedurl
GET /api/inboundprocesses/attachments/{attachmentId}/signedurl HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
text

List inbound processes (search)

post

Search for InboundProcess

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

InboundProcessSearchPayload

afterstringOptional

The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.

beforestringOptional

The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).

lastnumber · min: 1 · max: 250Optional

Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.

sizenumber · min: 1 · max: 250Optional

Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.

Example: 10
startAfterIdstringOptionalDeprecated

The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.

Responses
200

Your search result

application/json

InboundProcessPaginatedResult

totalnumberOptional

The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.

post/api/inboundprocesses/search
POST /api/inboundprocesses/search HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 7830

{
  "after": "text",
  "before": "text",
  "last": 1,
  "options": {
    "withTotal": true
  },
  "query": {
    "and": [
      {
        "and": [
          {
            "and": "[Circular Reference]",
            "customAttributes": {
              "ANY_ADDITIONAL_PROPERTY": {
                "eq": true,
                "notEq": true
              }
            },
            "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "inboundDate": "2026-06-17T12:00:00.000Z",
            "or": "[Circular Reference]",
            "purchaseOrder": {
              "customAttributes": {
                "ANY_ADDITIONAL_PROPERTY": {
                  "eq": true,
                  "notEq": true
                }
              },
              "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
              "orderDate": "2026-06-17T12:00:00.000Z",
              "requestedDate": "2026-06-17T12:00:00.000Z",
              "requestedItems": {
                "contains": {
                  "customAttributes": {
                    "ANY_ADDITIONAL_PROPERTY": {
                      "eq": true,
                      "notEq": true
                    }
                  },
                  "stockProperties": {
                    "ANY_ADDITIONAL_PROPERTY": {
                      "eq": "text",
                      "in": [
                        "text"
                      ],
                      "notEq": "text",
                      "notIn": [
                        "text"
                      ]
                    }
                  },
                  "tenantArticleId": "MY_ARTICLE_ID"
                },
                "exists": true
              },
              "status": {
                "eq": "OPEN",
                "in": [
                  "OPEN"
                ],
                "notEq": "OPEN"
              },
              "supplier": {
                "name": {
                  "eq": "text",
                  "in": [
                    "text"
                  ],
                  "notEq": "text",
                  "notIn": [
                    "text"
                  ]
                }
              },
              "transfer": {
                "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
              }
            },
            "receipts": {
              "contains": {
                "customAttributes": {
                  "ANY_ADDITIONAL_PROPERTY": {
                    "eq": true,
                    "notEq": true
                  }
                },
                "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
                "receivedDate": "2026-06-17T12:00:00.000Z",
                "receivedItems": {
                  "contains": {
                    "stockProperties": {
                      "ANY_ADDITIONAL_PROPERTY": {
                        "eq": "text",
                        "in": [
                          "text"
                        ],
                        "notEq": "text",
                        "notIn": [
                          "text"
                        ]
                      }
                    },
                    "tenantArticleId": "MY_ARTICLE_ID"
                  },
                  "exists": true
                },
                "status": {
                  "eq": "OPEN",
                  "in": [
                    "OPEN"
                  ],
                  "notEq": "OPEN"
                }
              },
              "exists": true
            },
            "scannableCodes": {
              "contains": {
                "eq": "text",
                "notEq": "text"
              }
            },
            "status": {
              "eq": "OPEN",
              "in": [
                "OPEN"
              ],
              "notEq": "OPEN"
            },
            "tenantInboundProcessId": "MY_INBOUNDPROCESS_ID"
          }
        ],
        "customAttributes": {
          "ANY_ADDITIONAL_PROPERTY": {
            "eq": true,
            "notEq": true
          }
        },
        "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "inboundDate": "2026-06-17T12:00:00.000Z",
        "or": [
          {
            "and": "[Circular Reference]",
            "customAttributes": {
              "ANY_ADDITIONAL_PROPERTY": {
                "eq": true,
                "notEq": true
              }
            },
            "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "inboundDate": "2026-06-17T12:00:00.000Z",
            "or": "[Circular Reference]",
            "purchaseOrder": {
              "customAttributes": {
                "ANY_ADDITIONAL_PROPERTY": {
                  "eq": true,
                  "notEq": true
                }
              },
              "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
              "orderDate": "2026-06-17T12:00:00.000Z",
              "requestedDate": "2026-06-17T12:00:00.000Z",
              "requestedItems": {
                "contains": {
                  "customAttributes": {
                    "ANY_ADDITIONAL_PROPERTY": {
                      "eq": true,
                      "notEq": true
                    }
                  },
                  "stockProperties": {
                    "ANY_ADDITIONAL_PROPERTY": {
                      "eq": "text",
                      "in": [
                        "text"
                      ],
                      "notEq": "text",
                      "notIn": [
                        "text"
                      ]
                    }
                  },
                  "tenantArticleId": "MY_ARTICLE_ID"
                },
                "exists": true
              },
              "status": {
                "eq": "OPEN",
                "in": [
                  "OPEN"
                ],
                "notEq": "OPEN"
              },
              "supplier": {
                "name": {
                  "eq": "text",
                  "in": [
                    "text"
                  ],
                  "notEq": "text",
                  "notIn": [
                    "text"
                  ]
                }
              },
              "transfer": {
                "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
              }
            },
            "receipts": {
              "contains": {
                "customAttributes": {
                  "ANY_ADDITIONAL_PROPERTY": {
                    "eq": true,
                    "notEq": true
                  }
                },
                "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
                "receivedDate": "2026-06-17T12:00:00.000Z",
                "receivedItems": {
                  "contains": {
                    "stockProperties": {
                      "ANY_ADDITIONAL_PROPERTY": {
                        "eq": "text",
                        "in": [
                          "text"
                        ],
                        "notEq": "text",
                        "notIn": [
                          "text"
                        ]
                      }
                    },
                    "tenantArticleId": "MY_ARTICLE_ID"
                  },
                  "exists": true
                },
                "status": {
                  "eq": "OPEN",
                  "in": [
                    "OPEN"
                  ],
                  "notEq": "OPEN"
                }
              },
              "exists": true
            },
            "scannableCodes": {
              "contains": {
                "eq": "text",
                "notEq": "text"
              }
            },
            "status": {
              "eq": "OPEN",
              "in": [
                "OPEN"
              ],
              "notEq": "OPEN"
            },
            "tenantInboundProcessId": "MY_INBOUNDPROCESS_ID"
          }
        ],
        "purchaseOrder": {
          "customAttributes": {
            "ANY_ADDITIONAL_PROPERTY": {
              "eq": true,
              "notEq": true
            }
          },
          "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
          "orderDate": "2026-06-17T12:00:00.000Z",
          "requestedDate": "2026-06-17T12:00:00.000Z",
          "requestedItems": {
            "contains": {
              "customAttributes": {
                "ANY_ADDITIONAL_PROPERTY": {
                  "eq": true,
                  "notEq": true
                }
              },
              "stockProperties": {
                "ANY_ADDITIONAL_PROPERTY": {
                  "eq": "text",
                  "in": [
                    "text"
                  ],
                  "notEq": "text",
                  "notIn": [
                    "text"
                  ]
                }
              },
              "tenantArticleId": "MY_ARTICLE_ID"
            },
            "exists": true
          },
          "status": {
            "eq": "OPEN",
            "in": [
              "OPEN"
            ],
            "notEq": "OPEN"
          },
          "supplier": {
            "name": {
              "eq": "text",
              "in": [
                "text"
              ],
              "notEq": "text",
              "notIn": [
                "text"
              ]
            }
          },
          "transfer": {
            "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
          }
        },
        "receipts": {
          "contains": {
            "customAttributes": {
              "ANY_ADDITIONAL_PROPERTY": {
                "eq": true,
                "notEq": true
              }
            },
            "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "receivedDate": "2026-06-17T12:00:00.000Z",
            "receivedItems": {
              "contains": {
                "stockProperties": {
                  "ANY_ADDITIONAL_PROPERTY": {
                    "eq": "text",
                    "in": [
                      "text"
                    ],
                    "notEq": "text",
                    "notIn": [
                      "text"
                    ]
                  }
                },
                "tenantArticleId": "MY_ARTICLE_ID"
              },
              "exists": true
            },
            "status": {
              "eq": "OPEN",
              "in": [
                "OPEN"
              ],
              "notEq": "OPEN"
            }
          },
          "exists": true
        },
        "scannableCodes": {
          "contains": {
            "eq": "text",
            "notEq": "text"
          }
        },
        "status": {
          "eq": "OPEN",
          "in": [
            "OPEN"
          ],
          "notEq": "OPEN"
        },
        "tenantInboundProcessId": "MY_INBOUNDPROCESS_ID"
      }
    ],
    "customAttributes": {
      "ANY_ADDITIONAL_PROPERTY": {
        "eq": true,
        "notEq": true
      }
    },
    "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "inboundDate": "2026-06-17T12:00:00.000Z",
    "or": [
      {
        "and": "[Circular Reference]",
        "customAttributes": {
          "ANY_ADDITIONAL_PROPERTY": {
            "eq": true,
            "notEq": true
          }
        },
        "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "inboundDate": "2026-06-17T12:00:00.000Z",
        "or": "[Circular Reference]",
        "purchaseOrder": {
          "customAttributes": {
            "ANY_ADDITIONAL_PROPERTY": {
              "eq": true,
              "notEq": true
            }
          },
          "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
          "orderDate": "2026-06-17T12:00:00.000Z",
          "requestedDate": "2026-06-17T12:00:00.000Z",
          "requestedItems": {
            "contains": {
              "customAttributes": {
                "ANY_ADDITIONAL_PROPERTY": {
                  "eq": true,
                  "notEq": true
                }
              },
              "stockProperties": {
                "ANY_ADDITIONAL_PROPERTY": {
                  "eq": "text",
                  "in": [
                    "text"
                  ],
                  "notEq": "text",
                  "notIn": [
                    "text"
                  ]
                }
              },
              "tenantArticleId": "MY_ARTICLE_ID"
            },
            "exists": true
          },
          "status": {
            "eq": "OPEN",
            "in": [
              "OPEN"
            ],
            "notEq": "OPEN"
          },
          "supplier": {
            "name": {
              "eq": "text",
              "in": [
                "text"
              ],
              "notEq": "text",
              "notIn": [
                "text"
              ]
            }
          },
          "transfer": {
            "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
          }
        },
        "receipts": {
          "contains": {
            "customAttributes": {
              "ANY_ADDITIONAL_PROPERTY": {
                "eq": true,
                "notEq": true
              }
            },
            "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "receivedDate": "2026-06-17T12:00:00.000Z",
            "receivedItems": {
              "contains": {
                "stockProperties": {
                  "ANY_ADDITIONAL_PROPERTY": {
                    "eq": "text",
                    "in": [
                      "text"
                    ],
                    "notEq": "text",
                    "notIn": [
                      "text"
                    ]
                  }
                },
                "tenantArticleId": "MY_ARTICLE_ID"
              },
              "exists": true
            },
            "status": {
              "eq": "OPEN",
              "in": [
                "OPEN"
              ],
              "notEq": "OPEN"
            }
          },
          "exists": true
        },
        "scannableCodes": {
          "contains": {
            "eq": "text",
            "notEq": "text"
          }
        },
        "status": {
          "eq": "OPEN",
          "in": [
            "OPEN"
          ],
          "notEq": "OPEN"
        },
        "tenantInboundProcessId": "MY_INBOUNDPROCESS_ID"
      }
    ],
    "purchaseOrder": {
      "customAttributes": {
        "ANY_ADDITIONAL_PROPERTY": {
          "eq": true,
          "notEq": true
        }
      },
      "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "orderDate": "2026-06-17T12:00:00.000Z",
      "requestedDate": "2026-06-17T12:00:00.000Z",
      "requestedItems": {
        "contains": {
          "customAttributes": {
            "ANY_ADDITIONAL_PROPERTY": {
              "eq": true,
              "notEq": true
            }
          },
          "stockProperties": {
            "ANY_ADDITIONAL_PROPERTY": {
              "eq": "text",
              "in": [
                "text"
              ],
              "notEq": "text",
              "notIn": [
                "text"
              ]
            }
          },
          "tenantArticleId": "MY_ARTICLE_ID"
        },
        "exists": true
      },
      "status": {
        "eq": "OPEN",
        "in": [
          "OPEN"
        ],
        "notEq": "OPEN"
      },
      "supplier": {
        "name": {
          "eq": "text",
          "in": [
            "text"
          ],
          "notEq": "text",
          "notIn": [
            "text"
          ]
        }
      },
      "transfer": {
        "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
      }
    },
    "receipts": {
      "contains": {
        "customAttributes": {
          "ANY_ADDITIONAL_PROPERTY": {
            "eq": true,
            "notEq": true
          }
        },
        "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "receivedDate": "2026-06-17T12:00:00.000Z",
        "receivedItems": {
          "contains": {
            "stockProperties": {
              "ANY_ADDITIONAL_PROPERTY": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              }
            },
            "tenantArticleId": "MY_ARTICLE_ID"
          },
          "exists": true
        },
        "status": {
          "eq": "OPEN",
          "in": [
            "OPEN"
          ],
          "notEq": "OPEN"
        }
      },
      "exists": true
    },
    "scannableCodes": {
      "contains": {
        "eq": "text",
        "notEq": "text"
      }
    },
    "status": {
      "eq": "OPEN",
      "in": [
        "OPEN"
      ],
      "notEq": "OPEN"
    },
    "tenantInboundProcessId": "MY_INBOUNDPROCESS_ID"
  },
  "size": 10,
  "sort": [
    {
      "customAttributes": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "lastModified": "ASC",
      "po_created": "ASC",
      "purchaseOrder": {
        "requestedDate": "2026-06-17T12:00:00.000Z",
        "supplier": {
          "name": "ASC"
        }
      }
    }
  ]
}
{
  "inboundProcesses": [
    {
      "anonymized": true,
      "created": "2026-01-01T00:00:00.000Z",
      "customAttributes": {},
      "facilityRef": "text",
      "id": "text",
      "inboundDate": "2026-06-17T12:00:00.000Z",
      "lastModified": "2026-01-01T00:00:00.000Z",
      "onHold": true,
      "origin": [
        {
          "name": "text"
        }
      ],
      "purchaseOrder": {
        "created": "2026-01-01T00:00:00.000Z",
        "customAttributes": {},
        "id": "text",
        "lastModified": "2026-01-01T00:00:00.000Z",
        "orderDate": "2026-06-17T12:00:00.000Z",
        "requestedDate": "2026-06-17T12:00:00.000Z",
        "requestedItems": [
          {
            "customAttributes": {},
            "quantity": {
              "unit": "text",
              "value": 42
            },
            "stockProperties": {
              "expiry": "text"
            },
            "tenantArticleId": "text"
          }
        ],
        "status": "OPEN",
        "supplier": {
          "name": "text"
        },
        "transfer": {
          "id": "text"
        }
      },
      "receipts": [
        {
          "asnRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
          "comments": [
            {
              "content": "text",
              "documentSetRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
              "id": "text",
              "userRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
            }
          ],
          "customAttributes": {},
          "id": "text",
          "receivedDate": "2026-06-17T12:00:00.000Z",
          "receivedItems": [
            {
              "acceptedQuantity": {
                "unit": "text",
                "value": 42
              },
              "comments": [
                {
                  "content": "text",
                  "documentSetRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
                  "id": "text",
                  "userRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
                }
              ],
              "customAttributes": {},
              "id": "text",
              "rejectedQuantity": {
                "unit": "text",
                "value": 42
              },
              "stockProperties": {
                "expiry": "text"
              },
              "storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
              "tenantArticleId": "MY_ARTICLE_ID"
            }
          ],
          "status": "OPEN"
        }
      ],
      "scannableCodes": [
        "text"
      ],
      "status": "OPEN",
      "tenantInboundProcessId": "text",
      "version": 1
    }
  ],
  "pageInfo": {
    "endCursor": "text",
    "hasNextPage": true,
    "hasPreviousPage": true,
    "startCursor": "text"
  },
  "total": 1
}

List inbound receipt jobs

get

This part of the API is in Beta status. For details, see the API release lifecycle documentation.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
sizenumber · min: 1 · max: 100OptionalDefault: 25Example: 25
startAfterIdstringOptional
facilityRefstring[]Optional
searchTermstring · min: 1Optional
searchTermExactstring · min: 1Optional
fromDatestring · date-timeOptionalExample: 2026-06-17T12:00:00.000Z
toDatestring · date-timeOptionalExample: 2026-06-17T12:00:00.000Z
Responses
200

Paginated Inbound Receipt Jobs

application/json

InboundReceiptJobPaginatedResult

totalnumberRequired
get/api/inboundreceiptjobs
GET /api/inboundreceiptjobs HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "inboundReceiptJobs": [
    {
      "expectedDate": {
        "type": "ASAP",
        "value": "2026-01-01T00:00:00.000Z"
      },
      "facilityRef": "text",
      "id": "text",
      "inboundProcessRef": "text",
      "items": {
        "customAttributes": {},
        "quantity": {
          "unit": "text",
          "value": 42
        },
        "stockProperties": {
          "expiry": "text"
        },
        "tenantArticleId": "text"
      },
      "origin": {
        "name": "text"
      },
      "originReadableId": "text",
      "originReadableName": "text",
      "status": "OPEN"
    }
  ],
  "total": 1
}

Get inbound receipt job

get

This part of the API is in Beta status. For details, see the API release lifecycle documentation.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
inboundEntryIdstringRequired
Responses
200Success
application/json

InboundReceiptJob

facilityRefstringRequired
idstringRequired
inboundProcessRefstringRequired
originReadableIdstringOptional
originReadableNamestringOptional
statusstring · enumRequiredPossible values:
get/api/inboundreceiptjobs/{inboundEntryId}
GET /api/inboundreceiptjobs/{inboundEntryId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "expectedDate": {
    "type": "ASAP",
    "value": "2026-01-01T00:00:00.000Z"
  },
  "facilityRef": "text",
  "id": "text",
  "inboundProcessRef": "text",
  "items": {
    "customAttributes": {},
    "quantity": {
      "unit": "text",
      "value": 42
    },
    "stockProperties": {
      "expiry": "text"
    },
    "tenantArticleId": "text"
  },
  "origin": {
    "name": "text"
  },
  "originReadableId": "text",
  "originReadableName": "text",
  "status": "OPEN"
}

Create purchase order

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

PurchaseOrderForCreation

cancelledbooleanOptionalDeprecated

This field is deprecated. Set the status to 'CANCELED' Set the purchaseOrder to 'cancelled'. No further deliveries will be expected. Already received goods are unaffected.

customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

facilityRefstring · min: 1RequiredExample: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
orderDatestring · date-timeRequired

Time and date at which the order was placed. Note: This does not refer to the creation date of this entity in the system.

Example: 2026-06-17T12:00:00.000Z
statusstring · enumOptionalPossible values:
Responses
201

Created Purchase Order entity

application/json

PurchaseOrder

cancelledbooleanRequiredDeprecated

This field is deprecated. Set the status to 'CANCELED' Set the purchaseOrder to 'cancelled'. No further deliveries will be expected. Already received goods are unaffected.

createdstring · date-timeRequired
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

facilityRefstringRequired
idstringRequired
inboundProcessRefstringRequired
lastModifiedstring · date-timeRequired
orderDatestring · date-timeRequired

Time and date at which the order was placed. Note: This does not refer to the creation date of this entity in the system.

Example: 2026-06-17T12:00:00.000Z
statusstring · enumRequiredPossible values:
versionnumberRequired
post/api/purchaseorders
POST /api/purchaseorders HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 343

{
  "customAttributes": {},
  "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "orderDate": "2026-06-17T12:00:00.000Z",
  "requestedDate": "2026-06-17T12:00:00.000Z",
  "requestedItems": [
    {
      "customAttributes": {},
      "quantity": {
        "unit": "text",
        "value": 42
      },
      "stockProperties": {
        "expiry": "text"
      },
      "tenantArticleId": "text"
    }
  ],
  "status": "OPEN",
  "supplier": {
    "name": "text"
  }
}
{
  "created": "2026-01-01T00:00:00.000Z",
  "customAttributes": {},
  "facilityRef": "text",
  "id": "text",
  "inboundProcessRef": "text",
  "lastModified": "2026-01-01T00:00:00.000Z",
  "orderDate": "2026-06-17T12:00:00.000Z",
  "requestedDate": "2026-06-17T12:00:00.000Z",
  "requestedItems": [
    {
      "customAttributes": {},
      "quantity": {
        "unit": "text",
        "value": 42
      },
      "stockProperties": {
        "expiry": "text"
      },
      "tenantArticleId": "text"
    }
  ],
  "status": "OPEN",
  "supplier": {
    "name": "text"
  },
  "transfer": {
    "id": "text"
  },
  "version": 1
}

Get purchase order

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
purchaseOrderIdstringRequired
Responses
200

Purchase Order entity

application/json

PurchaseOrder

cancelledbooleanRequiredDeprecated

This field is deprecated. Set the status to 'CANCELED' Set the purchaseOrder to 'cancelled'. No further deliveries will be expected. Already received goods are unaffected.

createdstring · date-timeRequired
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

facilityRefstringRequired
idstringRequired
inboundProcessRefstringRequired
lastModifiedstring · date-timeRequired
orderDatestring · date-timeRequired

Time and date at which the order was placed. Note: This does not refer to the creation date of this entity in the system.

Example: 2026-06-17T12:00:00.000Z
statusstring · enumRequiredPossible values:
versionnumberRequired
get/api/purchaseorders/{purchaseOrderId}
GET /api/purchaseorders/{purchaseOrderId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "created": "2026-01-01T00:00:00.000Z",
  "customAttributes": {},
  "facilityRef": "text",
  "id": "text",
  "inboundProcessRef": "text",
  "lastModified": "2026-01-01T00:00:00.000Z",
  "orderDate": "2026-06-17T12:00:00.000Z",
  "requestedDate": "2026-06-17T12:00:00.000Z",
  "requestedItems": [
    {
      "customAttributes": {},
      "quantity": {
        "unit": "text",
        "value": 42
      },
      "stockProperties": {
        "expiry": "text"
      },
      "tenantArticleId": "text"
    }
  ],
  "status": "OPEN",
  "supplier": {
    "name": "text"
  },
  "transfer": {
    "id": "text"
  },
  "version": 1
}

Update purchase order

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
purchaseOrderIdstringRequired
Body

PurchaseOrderForUpdate

cancelledbooleanOptionalDeprecated

This field is deprecated. Set the status to 'CANCELED' Set the purchaseOrder to 'cancelled'. No further deliveries will be expected. Already received goods are unaffected.

customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

orderDatestring · date-timeRequired

Time and date at which the order was placed. Note: This does not refer to the creation date of this entity in the system.

Example: 2026-06-17T12:00:00.000Z
statusstring · enumOptionalPossible values:
versionnumberRequired
Responses
200

Updated/created Purchase Order entity

application/json

PurchaseOrder

cancelledbooleanRequiredDeprecated

This field is deprecated. Set the status to 'CANCELED' Set the purchaseOrder to 'cancelled'. No further deliveries will be expected. Already received goods are unaffected.

createdstring · date-timeRequired
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

facilityRefstringRequired
idstringRequired
inboundProcessRefstringRequired
lastModifiedstring · date-timeRequired
orderDatestring · date-timeRequired

Time and date at which the order was placed. Note: This does not refer to the creation date of this entity in the system.

Example: 2026-06-17T12:00:00.000Z
statusstring · enumRequiredPossible values:
versionnumberRequired
put/api/purchaseorders/{purchaseOrderId}
PUT /api/purchaseorders/{purchaseOrderId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 302

{
  "customAttributes": {},
  "orderDate": "2026-06-17T12:00:00.000Z",
  "requestedDate": "2026-06-17T12:00:00.000Z",
  "requestedItems": [
    {
      "customAttributes": {},
      "quantity": {
        "unit": "text",
        "value": 42
      },
      "stockProperties": {
        "expiry": "text"
      },
      "tenantArticleId": "text"
    }
  ],
  "status": "OPEN",
  "supplier": {
    "name": "text"
  },
  "version": 1
}
{
  "created": "2026-01-01T00:00:00.000Z",
  "customAttributes": {},
  "facilityRef": "text",
  "id": "text",
  "inboundProcessRef": "text",
  "lastModified": "2026-01-01T00:00:00.000Z",
  "orderDate": "2026-06-17T12:00:00.000Z",
  "requestedDate": "2026-06-17T12:00:00.000Z",
  "requestedItems": [
    {
      "customAttributes": {},
      "quantity": {
        "unit": "text",
        "value": 42
      },
      "stockProperties": {
        "expiry": "text"
      },
      "tenantArticleId": "text"
    }
  ],
  "status": "OPEN",
  "supplier": {
    "name": "text"
  },
  "transfer": {
    "id": "text"
  },
  "version": 1
}

Updates purchase order

patch

Partially updates a Purchase Order using a selection of fields

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
purchaseOrderIdstringRequired
Body

PurchaseOrderForPartialUpdate

cancelledbooleanOptionalDeprecated

This field is deprecated. Set the status to 'CANCELED' Set the purchaseOrder to 'cancelled'. No further deliveries will be expected. Already received goods are unaffected.

customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

orderDatestring · date-timeOptionalExample: 2026-06-17T12:00:00.000Z
statusstring · enumOptionalPossible values:
versionnumberRequired
Responses
200

Updated Purchase Order entity

application/json

PurchaseOrder

cancelledbooleanRequiredDeprecated

This field is deprecated. Set the status to 'CANCELED' Set the purchaseOrder to 'cancelled'. No further deliveries will be expected. Already received goods are unaffected.

createdstring · date-timeRequired
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

facilityRefstringRequired
idstringRequired
inboundProcessRefstringRequired
lastModifiedstring · date-timeRequired
orderDatestring · date-timeRequired

Time and date at which the order was placed. Note: This does not refer to the creation date of this entity in the system.

Example: 2026-06-17T12:00:00.000Z
statusstring · enumRequiredPossible values:
versionnumberRequired
patch/api/purchaseorders/{purchaseOrderId}
PATCH /api/purchaseorders/{purchaseOrderId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 302

{
  "customAttributes": {},
  "orderDate": "2026-06-17T12:00:00.000Z",
  "requestedDate": "2026-06-17T12:00:00.000Z",
  "requestedItems": [
    {
      "customAttributes": {},
      "quantity": {
        "unit": "text",
        "value": 42
      },
      "stockProperties": {
        "expiry": "text"
      },
      "tenantArticleId": "text"
    }
  ],
  "status": "OPEN",
  "supplier": {
    "name": "text"
  },
  "version": 1
}
{
  "created": "2026-01-01T00:00:00.000Z",
  "customAttributes": {},
  "facilityRef": "text",
  "id": "text",
  "inboundProcessRef": "text",
  "lastModified": "2026-01-01T00:00:00.000Z",
  "orderDate": "2026-06-17T12:00:00.000Z",
  "requestedDate": "2026-06-17T12:00:00.000Z",
  "requestedItems": [
    {
      "customAttributes": {},
      "quantity": {
        "unit": "text",
        "value": 42
      },
      "stockProperties": {
        "expiry": "text"
      },
      "tenantArticleId": "text"
    }
  ],
  "status": "OPEN",
  "supplier": {
    "name": "text"
  },
  "transfer": {
    "id": "text"
  },
  "version": 1
}

Create receipt

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

ReceiptForCreation

asnRefstringOptional

enables mapping a receipt to one of the ASNs in this inbound process

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

facilityRefstringRequired
receivedDatestring · date-timeRequired

date-time of the arrival of the items in the facility

Example: 2026-06-17T12:00:00.000Z
statusstring · enumOptional

status of this receipt, only receipts with status 'FINISHED' are booked. IN_PROGRESS can be used to save partial receipts.

Possible values:
Responses
201

Created inbound receipt

application/json

Receipt

asnRefstringOptional

enables mapping a receipt to one of the ASNs in this inbound process

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
createdstring · date-timeRequired
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

idstringRequired
inboundProcessRefstringRequired
lastModifiedstring · date-timeRequired
receivedDatestring · date-timeRequired

date-time of the arrival of the items in the facility

Example: 2026-06-17T12:00:00.000Z
statusstring · enumOptional

status of this receipt, only receipts with status 'FINISHED' are booked. IN_PROGRESS can be used to save partial receipts.

Possible values:
versionnumberRequired
post/api/receipts
POST /api/receipts HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 576

{
  "asnRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "comments": [
    {
      "content": "text",
      "userRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
    }
  ],
  "customAttributes": {},
  "facilityRef": "text",
  "receivedDate": "2026-06-17T12:00:00.000Z",
  "receivedItems": [
    {
      "acceptedQuantity": {
        "unit": "text",
        "value": 42
      },
      "comments": [
        {
          "content": "text",
          "userRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
        }
      ],
      "customAttributes": {},
      "rejectedQuantity": {
        "unit": "text",
        "value": 42
      },
      "stockProperties": {
        "expiry": "text"
      },
      "storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "tenantArticleId": "MY_ARTICLE_ID"
    }
  ],
  "status": "OPEN"
}
{
  "asnRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "comments": [
    {
      "content": "text",
      "documentSetRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "id": "text",
      "userRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
    }
  ],
  "created": "2026-01-01T00:00:00.000Z",
  "customAttributes": {},
  "id": "text",
  "inboundProcessRef": "text",
  "lastModified": "2026-01-01T00:00:00.000Z",
  "receivedDate": "2026-06-17T12:00:00.000Z",
  "receivedItems": [
    {
      "acceptedQuantity": {
        "unit": "text",
        "value": 42
      },
      "comments": [
        {
          "content": "text",
          "documentSetRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
          "id": "text",
          "userRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
        }
      ],
      "customAttributes": {},
      "id": "text",
      "rejectedQuantity": {
        "unit": "text",
        "value": 42
      },
      "stockProperties": {
        "expiry": "text"
      },
      "storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "tenantArticleId": "MY_ARTICLE_ID"
    }
  ],
  "status": "OPEN",
  "version": 1
}

Get receipt

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
receiptIdstringRequired
Responses
200Success
application/json

Receipt

asnRefstringOptional

enables mapping a receipt to one of the ASNs in this inbound process

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
createdstring · date-timeRequired
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

idstringRequired
inboundProcessRefstringRequired
lastModifiedstring · date-timeRequired
receivedDatestring · date-timeRequired

date-time of the arrival of the items in the facility

Example: 2026-06-17T12:00:00.000Z
statusstring · enumOptional

status of this receipt, only receipts with status 'FINISHED' are booked. IN_PROGRESS can be used to save partial receipts.

Possible values:
versionnumberRequired
get/api/receipts/{receiptId}
GET /api/receipts/{receiptId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "asnRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "comments": [
    {
      "content": "text",
      "documentSetRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "id": "text",
      "userRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
    }
  ],
  "created": "2026-01-01T00:00:00.000Z",
  "customAttributes": {},
  "id": "text",
  "inboundProcessRef": "text",
  "lastModified": "2026-01-01T00:00:00.000Z",
  "receivedDate": "2026-06-17T12:00:00.000Z",
  "receivedItems": [
    {
      "acceptedQuantity": {
        "unit": "text",
        "value": 42
      },
      "comments": [
        {
          "content": "text",
          "documentSetRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
          "id": "text",
          "userRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
        }
      ],
      "customAttributes": {},
      "id": "text",
      "rejectedQuantity": {
        "unit": "text",
        "value": 42
      },
      "stockProperties": {
        "expiry": "text"
      },
      "storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "tenantArticleId": "MY_ARTICLE_ID"
    }
  ],
  "status": "OPEN",
  "version": 1
}

Update receipt

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
receiptIdstringRequired
Body

InboundReceiptForUpdate

asnRefstringOptional

enables mapping a receipt to one of the ASNs in this inbound process

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

receivedDatestring · date-timeRequired

date-time of the arrival of the items in the facility

Example: 2026-06-17T12:00:00.000Z
statusstring · enumOptional

status of this receipt, only receipts with status 'FINISHED' are booked. IN_PROGRESS can be used to save partial receipts.

Possible values:
versionnumberRequired
Responses
200Success
application/json

Receipt

asnRefstringOptional

enables mapping a receipt to one of the ASNs in this inbound process

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
createdstring · date-timeRequired
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

idstringRequired
inboundProcessRefstringRequired
lastModifiedstring · date-timeRequired
receivedDatestring · date-timeRequired

date-time of the arrival of the items in the facility

Example: 2026-06-17T12:00:00.000Z
statusstring · enumOptional

status of this receipt, only receipts with status 'FINISHED' are booked. IN_PROGRESS can be used to save partial receipts.

Possible values:
versionnumberRequired
put/api/receipts/{receiptId}
PUT /api/receipts/{receiptId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 603

{
  "asnRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "comments": [
    {
      "content": "text",
      "id": "text",
      "userRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
    }
  ],
  "customAttributes": {},
  "receivedDate": "2026-06-17T12:00:00.000Z",
  "receivedItems": [
    {
      "acceptedQuantity": {
        "unit": "text",
        "value": 42
      },
      "comments": [
        {
          "content": "text",
          "id": "text",
          "userRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
        }
      ],
      "customAttributes": {},
      "id": "text",
      "rejectedQuantity": {
        "unit": "text",
        "value": 42
      },
      "stockProperties": {
        "expiry": "text"
      },
      "storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "tenantArticleId": "MY_ARTICLE_ID"
    }
  ],
  "status": "OPEN",
  "version": 1
}
{
  "asnRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "comments": [
    {
      "content": "text",
      "documentSetRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "id": "text",
      "userRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
    }
  ],
  "created": "2026-01-01T00:00:00.000Z",
  "customAttributes": {},
  "id": "text",
  "inboundProcessRef": "text",
  "lastModified": "2026-01-01T00:00:00.000Z",
  "receivedDate": "2026-06-17T12:00:00.000Z",
  "receivedItems": [
    {
      "acceptedQuantity": {
        "unit": "text",
        "value": 42
      },
      "comments": [
        {
          "content": "text",
          "documentSetRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
          "id": "text",
          "userRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
        }
      ],
      "customAttributes": {},
      "id": "text",
      "rejectedQuantity": {
        "unit": "text",
        "value": 42
      },
      "stockProperties": {
        "expiry": "text"
      },
      "storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "tenantArticleId": "MY_ARTICLE_ID"
    }
  ],
  "status": "OPEN",
  "version": 1
}

Delete receipt

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
receiptIdstringRequired
Query parameters
versionnumberRequired
Responses
200Success
application/json

Receipt

asnRefstringOptional

enables mapping a receipt to one of the ASNs in this inbound process

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
createdstring · date-timeRequired
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

idstringRequired
inboundProcessRefstringRequired
lastModifiedstring · date-timeRequired
receivedDatestring · date-timeRequired

date-time of the arrival of the items in the facility

Example: 2026-06-17T12:00:00.000Z
statusstring · enumOptional

status of this receipt, only receipts with status 'FINISHED' are booked. IN_PROGRESS can be used to save partial receipts.

Possible values:
versionnumberRequired
delete/api/receipts/{receiptId}
DELETE /api/receipts/{receiptId}?version=1 HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "asnRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "comments": [
    {
      "content": "text",
      "documentSetRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "id": "text",
      "userRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
    }
  ],
  "created": "2026-01-01T00:00:00.000Z",
  "customAttributes": {},
  "id": "text",
  "inboundProcessRef": "text",
  "lastModified": "2026-01-01T00:00:00.000Z",
  "receivedDate": "2026-06-17T12:00:00.000Z",
  "receivedItems": [
    {
      "acceptedQuantity": {
        "unit": "text",
        "value": 42
      },
      "comments": [
        {
          "content": "text",
          "documentSetRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
          "id": "text",
          "userRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
        }
      ],
      "customAttributes": {},
      "id": "text",
      "rejectedQuantity": {
        "unit": "text",
        "value": 42
      },
      "stockProperties": {
        "expiry": "text"
      },
      "storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "tenantArticleId": "MY_ARTICLE_ID"
    }
  ],
  "status": "OPEN",
  "version": 1
}

Update receipt

patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
receiptIdstringRequired
Body

InboundReceiptForPatch

asnRefstringOptional

enables mapping a receipt to one of the ASNs in this inbound process

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

receivedDatestring · date-timeOptional

date-time of the arrival of the items in the facility

Example: 2026-06-17T12:00:00.000Z
statusstring · enumOptional

status of this receipt, only receipts with status 'FINISHED' are booked. IN_PROGRESS can be used to save partial receipts.

Possible values:
versionnumberRequired
Responses
200Success
application/json

Receipt

asnRefstringOptional

enables mapping a receipt to one of the ASNs in this inbound process

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
createdstring · date-timeRequired
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

idstringRequired
inboundProcessRefstringRequired
lastModifiedstring · date-timeRequired
receivedDatestring · date-timeRequired

date-time of the arrival of the items in the facility

Example: 2026-06-17T12:00:00.000Z
statusstring · enumOptional

status of this receipt, only receipts with status 'FINISHED' are booked. IN_PROGRESS can be used to save partial receipts.

Possible values:
versionnumberRequired
patch/api/receipts/{receiptId}
PATCH /api/receipts/{receiptId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 603

{
  "asnRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "comments": [
    {
      "content": "text",
      "id": "text",
      "userRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
    }
  ],
  "customAttributes": {},
  "receivedDate": "2026-06-17T12:00:00.000Z",
  "receivedItems": [
    {
      "acceptedQuantity": {
        "unit": "text",
        "value": 42
      },
      "comments": [
        {
          "content": "text",
          "id": "text",
          "userRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
        }
      ],
      "customAttributes": {},
      "id": "text",
      "rejectedQuantity": {
        "unit": "text",
        "value": 42
      },
      "stockProperties": {
        "expiry": "text"
      },
      "storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "tenantArticleId": "MY_ARTICLE_ID"
    }
  ],
  "status": "OPEN",
  "version": 1
}
{
  "asnRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "comments": [
    {
      "content": "text",
      "documentSetRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "id": "text",
      "userRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
    }
  ],
  "created": "2026-01-01T00:00:00.000Z",
  "customAttributes": {},
  "id": "text",
  "inboundProcessRef": "text",
  "lastModified": "2026-01-01T00:00:00.000Z",
  "receivedDate": "2026-06-17T12:00:00.000Z",
  "receivedItems": [
    {
      "acceptedQuantity": {
        "unit": "text",
        "value": 42
      },
      "comments": [
        {
          "content": "text",
          "documentSetRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
          "id": "text",
          "userRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
        }
      ],
      "customAttributes": {},
      "id": "text",
      "rejectedQuantity": {
        "unit": "text",
        "value": 42
      },
      "stockProperties": {
        "expiry": "text"
      },
      "storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "tenantArticleId": "MY_ARTICLE_ID"
    }
  ],
  "status": "OPEN",
  "version": 1
}

Last updated

Was this helpful?